%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: aqbanking
Summary: A library for online banking functions and financial data import/export
Version: 5.6.10
Release: 1%{?dist}
# Download is PHP form at http://www.aquamaniac.de/sites/download/packages.php
Source: %{name}-%{version}.tar.gz
Group: System Environment/Libraries
License: GPLv2 or GPLv3
URL: http://www.aquamaniac.de/aqbanking/
Patch2: aqbanking-5.0.2-pkgconfig.patch
Patch4: aqbanking-arch.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gwenhywfar-devel >= 4.0.0, gmp-devel, gettext, libtool
BuildRequires: xmlsec1-gnutls-devel, xmlsec1-devel, libtool-ltdl-devel, libxslt-devel, libxml2-devel
# bug in xmlscec1
BuildRequires: xmlsec1-gnutls, xmlsec1-gcrypt
Obsoletes: aqhbci <= 1.0.3
Obsoletes: g2banking < 3.7.2-1 
Obsoletes: qbanking < 5.0
Obsoletes: q4banking < 5.0
Obsoletes: python-aqbanking

%description 
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package devel
Summary: Development headers for Aqbanking
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gwenhywfar-devel
Requires: pkgconfig
# for %{_datadir}/aclocal
Requires: automake
Obsoletes: aqhbci-devel <= 1.0.3
Obsoletes: g2banking-devel < 3.7.2-1 
Obsoletes: qbanking-devel < 5.0
Obsoletes: q4banking-devel < 5.0

%description devel
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%prep
%setup -q -n %{name}-%{version}
%patch2 -p1 -b .pkgconfig

# hack to nuke rpaths, slighly less ugly than using overriding LIBTOOL below
%if "%{_libdir}" != "/usr/lib"
%patch4 -p1 -b .arch
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif

%build

%configure \
  --disable-static \
  --with-build-datetime=`date +\"%Y%m%d\"`

# not smp_mflags safe
# override LIBTOOL to quash rpath
make 
#LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
# LIBTOOL=/usr/bin/libtool 

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;
find $RPM_BUILD_ROOT -name *.a -exec rm -f {} \;

cd tutorials
make clean
rm -rf .deps
rm -f Makefile*
cd ..

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}
mv $RPM_BUILD_ROOT/%{_datadir}/doc/aqhbci $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}
mv $RPM_BUILD_ROOT/%{_datadir}/doc/aqebics $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}
mv AUTHORS README COPYING ChangeLog NEWS $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}
%find_lang %{name}

%check
## meh, requires X server
make check ||:

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}
%{_libdir}/libaq*.so.*
%dir %{_libdir}/aqbanking
%dir %{_libdir}/aqbanking/plugins/
%dir %{_libdir}/aqbanking/plugins/*
%{_libdir}/aqbanking/plugins/*/bankinfo
%{_libdir}/aqbanking/plugins/*/imexporters
%{_libdir}/aqbanking/plugins/*/providers
%{_libdir}/aqbanking/plugins/*/dbio
%dir %{_datadir}/aqbanking
%dir %{_datadir}/aqbanking/aqbanking
%{_datadir}/aqbanking/backends/
%{_datadir}/aqbanking/bankinfo/
%{_datadir}/aqbanking/dialogs/
%{_datadir}/aqbanking/imexporters/
%{_bindir}/aqbanking-cli
%{_bindir}/aqebics-tool
%{_bindir}/aqhbci-tool4

%files devel
%defattr(-,root,root)
%doc doc/0[12]* tutorials
%{_bindir}/hbcixml3
%{_bindir}/aqbanking-config
%{_libdir}/libaq*.so
%{_includedir}/aq*/
%{_libdir}/cmake/aqbanking*/
%{_libdir}/pkgconfig/aqbanking.pc
%{_datadir}/aclocal/aqbanking.m4
%{_datadir}/aqbanking/aqbanking/typemaker2
%{_datadir}/aqbanking/typemaker2

%changelog
* Thu Jul 07 2016 Bill Nottingham <notting@splat.cc> - 5.6.10-1
- update to 5.6.10

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 5.5.1-2
- Rebuilt for GCC 5 C++11 ABI change

* Mon Mar 23 2015 Robert Scheck <robert@fedoraproject.org> - 5.5.1-1
- update to 5.5.1

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3.6-0.3.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3.6-0.2.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 31 2014 Bill Nottingham <notting@redhat.com> - 5.3.6beta-0.1
- update to 5.3.6beta
- COPYING updated, no more tarball munging needed

* Fri Jan 17 2014 Bill Nottingham <notting@redhat.com> - 5.3.2beta-0.2
- bump to 5.3.2beta

* Wed Jan 15 2014 Bill Nottingham <notting@redhat.com> - 5.3.1beta-0.1
- update to latest upstream
- disable aqebics for now

* Thu Dec 12 2013 Bill Nottingham <notting@redhat.com> - 5.0.25-4
- add upstream patches for OFXDirectConnect (#1040224)

* Tue Aug 06 2013 Bill Nottingham <notting@redhat.com> - 5.0.25-3
- Fix for UnversionedDocDirs feature (#993669)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 24 2013 Bill Nottingham <notting@redhat.com> - 5.0.25-1
- update to 5.0.25

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 19 2012 Bill Nottingham <notting@redhat.com> - 5.0.22-2
- update to 5.0.22
- fix up rpaths a little cleaner

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 25 2011 Bill Nottingham <notting@redhat.com> - 5.0.16-1
- update to 5.0.16

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 5.0.2-3.2
- rebuild with new gmp without compat lib

* Mon Oct 10 2011 Peter Schiffer <pschiffe@redhat.com> - 5.0.2-3.1
- rebuild with new gmp

* Mon Feb 21 2011 Bill Nottingham <notting@redhat.com> - 5.0.2-3
- fix -devel obsoletes

* Wed Feb 16 2011 Bill Nottingham <notting@redhat.com> - 5.0.2-2
- remove aqpaypal source

* Fri Feb 11 2011 Bill Nottingham <notting@redhat.com> - 5.0.2-1
- update to latest upstream release

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 22 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.2.4-6
- q4banking: try harder to purge qt3 dep (#626008)

* Sun Aug 22 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.2.4-5
- rebase pkgconfig patch
- q4banking should not depend on qt3 (#626008)
- include %%check section, though currently mostly useless

* Fri Jun 25 2010 Bill Nottingham <notting@redhat.com> - 4.2.4-4
- fix multilib errors (#602879)

* Fri Mar 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.2.4-2
- q4banking(-devel) pkgs (#571575)
- better versioned g2banking/kbanking Obsoletes

* Mon Mar  8 2010 Bill Nottingham <notting@redhat.com> - 4.2.4-1
- update to latest upstream 4.2.4

* Thu Jan 21 2010 Bill Nottingham <notting@redhat.com> - 4.2.3-1
- update to latest upstream 4.2.3
- obsolete the dead python-aqbanking package

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar  5 2009 Bill Nottingham <notting@redhat.com> - 3.8.2-1
- update to 3.8.2-1

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.7.2-2
- Rebuild for Python 2.6

* Tue Sep  9 2008 Bill Nottingham <notting@redhat.com> - 3.7.2-1
- update to 3.7.2
- obsolete the no-longer-existing g2banking/kbanking packages

* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 2.3.3-3
- s/qt-devel/qt3-devel/ (f9+)
- qbanking-devel: Req: qt3-devel
- kbanking-devel: Req: kdelibs3-devel
- omit extraneous: Req: pkgconfig

* Thu Feb 14 2008 Bill Nottingham <notting@redhat.com> - 2.3.3-2
- rebuild for gcc-4.3

* Tue Jan 15 2008 Bill Nottingham <notting@redhat.com> - 2.3.3-1
- update to 2.3.3

* Wed Dec 19 2007 Bill Nottingham <notting@redhat.com> - 2.3.2-4
- kbanking-devel needs to require qbanking-devel (#426265)

* Tue Oct 30 2007 Bill Nottingham <notting@redhat.com> - 2.3.2-3
- fix multilib conflicts (#340671)

* Wed Aug 29 2007 Bill Nottingham <notting@redhat.com> - 2.3.2-2
- Rebuild for selinux ppc32 issue.
- fix build with current glibc/headers

* Fri Aug  3 2007 Bill Nottingham <notting@redhat.com>
- tweak license tag

* Wed Jul 11 2007 Bill Nottingham <notting@redhat.com> - 2.3.2-1
- update to 2.3.2

* Mon Jun 25 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-3
- fix some build bogosity

* Wed Jun 20 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-2
- add a dist tag

* Mon Mar 19 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-1
- update to 2.2.9

* Wed Jan 17 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-14
- fix docdir, obsoletes for aqhbci-devel, and %%clean

* Tue Jan 16 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-13
- fix docs
- add PyXML buildreq

* Mon Jan 15 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-12
- fix missing %%defattrs
- fix %%excludes
- other cleanups from review
- use %%{_python_sitelib}
- require automake
- twiddle aqhbci obsoletes

* Sat Jan 13 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-11
- split into a variety of packages

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 2.1.0-10
- rebuild for python 2.5

* Thu Sep  7 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-9
- rebuild for fixed debuginfo (#205248)

* Fri Sep  1 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-8
- fix multilib conficts (#205204)

* Mon Aug 28 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-4
- rebuild against latest libofx

* Tue Aug  1 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-3
- reenable visibility

* Fri Jul 14 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-2
- port *-config to pkgconfig
- don't use -fvisibility=hidden

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.1.0-1.1
- rebuild

* Tue Jul 11 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-1
- update to 2.1.0

* Mon Jun 12 2006 Bill Nottingham <notting@redhat.com> - 1.8.1beta-5
- buildreq autoconf, libtool

* Tue May 30 2006 Bill Nottingham <notting@redhat.com> - 1.8.1beta-4
- add gettext buildreq (#193348)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.8.1beta-3.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Karsten Hopp <karsten@redhat.de> 1.8.1beta-3
- buildrequire libofx-devel instead of libofx (pulls in libofx)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.8.1beta-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Jan 22 2006 Bill Nottingham <notting@redhat.com> 1.8.1beta-2
- add an obsolete (#178554)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar  7 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-2
- rebuild

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-1
- initial packaging, adopt upstream specfile
